/*
 * Copyright (c) 2008, Intel Corporation
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *     * Redistributions of source code must retain the above copyright
 *       notice, this list of conditions and the following disclaimer.
 *     * Redistributions in binary form must reproduce the above copyright
 *       notice, this list of conditions and the following disclaimer in the
 *       documentation and/or other materials provided with the distribution.
 *     * Neither the name of Intel Corporation nor the names of its
 *       contributors may be used to endorse or promote products derived from
 *       this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS
 * IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
 * TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
 * PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER
 * OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 * PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
 * LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
 * NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

#ifndef __MOBLIN_CATEGORY_BOX_H__
#define __MOBLIN_CATEGORY_BOX_H__

#include <glib-object.h>
#include <clutter/clutter-actor.h>
#include "clutter-box2d.h"

G_BEGIN_DECLS

#define MOBLIN_TYPE_CATEGORY_BOX (moblin_category_box_get_type ())
#define MOBLIN_CATEGORY_BOX(obj) (G_TYPE_CHECK_INSTANCE_CAST \
			  ((obj), MOBLIN_TYPE_CATEGORY_BOX, MoblinCategory_Box))

typedef struct _MoblinCategory_Box         MoblinCategory_Box;
typedef struct _MoblinCategory_BoxClass    MoblinCategory_BoxClass;
typedef struct _MoblinCategory_BoxPrivate  MoblinCategory_BoxPrivate;

struct _MoblinCategory_Box
{
	ClutterBox2D       parent;
	MoblinCategory_BoxPrivate *priv;
};

struct _MoblinCategory_BoxClass 
{
	/*< private >*/
	ClutterBox2DClass parent_class;
}; 

GType  moblin_category_box_get_type (void) G_GNUC_CONST;

G_END_DECLS

#endif /* __MOBLIN_CATEGORY_BOX_H__ */
